function runscript()
	if (getflag(FLAG_SHOES_UNTIED) == FLAG_OFF) then
		setflag(FLAG_SHOES_UNTIED, FLAG_ON);
		musvol(0);
		rumble(2, 10);
		createnpc_at_player("ip");
		setanim("ip", 5, 0, 1, 0, 0, 0);
		hideplayer();
		sound("trip", 3);
		explode(16, 8);
		wait(50);
		fadeout();
		wait(50);
		say("The fall knocks you unconscious.||||.||||.|||| Actually you're okay.");
		musvol(100);
		wait(10);
		fadein();
		wait(10);
		say("But your shoes became untied.");
		say("The HiJump Sneakers no longer boost your jump.");
		setflag(HARD_FLAG_HIGH_JUMP, FLAG_OFF);
		takeitem(ITEM_HIJUMP);
		giveitem(ITEM_HIJUMP_UNLACED);
		destroy("ip");
		showplayer();
	end
end